Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine
Class Page

    java.lang.Object
      com.rie.rieps.engine.Page

    public class Page

extends java.lang.Object

Author:
  Yves Piel

Method Summary
`void` | `drawCircle(float x, float y, float radius, boolean border, boolean fill)`
`void` | `drawEllipse(float x, float y, float width, float height, float rotate, boolean border, boolean fill)`
`void` | `drawFrame(Frame frm)`
`void` | `drawImage(float x, float y, Image img, float width, float height)`
`void` | `drawLine(float x, float y, float w, float h)`
`void` | `drawRect(float x, float y, float width, float height, float rotate, float radius, boolean border, boolean fill)`
`Color` | `getCurrentFillColor()`
`PSFont` | `getCurrentFont()`
`LineFormat` | `getCurrentLineFormat()`
`java.util.Map` | `getDeviceParameters()`
`Document` | `getOwnerDocument()`
`java.lang.StringBuffer` | `getPageStringBuffer()`
`void` | `setAWTFont(java.awt.Font fnt)`
`void` | `setColor(Color c)`
`void` | `setDeviceParameter(DeviceParameter param, java.lang.Object value)`
`void` | `setDeviceParameter(java.util.Map parameters)`
`void` | `setLineFormat(LineFormat lf)`
`void` | `setPSFont(PSFont psf)`
`void` | `showPage()`
`void` | `showText(float x, float y, float weight, float height, java.lang.String txt, TextParameter tp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPageStringBuffer

    public java.lang.StringBuffer getPageStringBuffer()

### getOwnerDocument

    public Document getOwnerDocument()

### showPage

    public void showPage()
                  throws java.io.IOException,
                         RiepsException

  Throws:
    `java.io.IOException`
    `RiepsException`

### setDeviceParameter

    public void setDeviceParameter(DeviceParameter param,
                                   java.lang.Object value)

### setDeviceParameter

    public void setDeviceParameter(java.util.Map parameters)

### setLineFormat

    public void setLineFormat(LineFormat lf)

### setPSFont

    public void setPSFont(PSFont psf)

### setAWTFont

    public void setAWTFont(java.awt.Font fnt)

### setColor

    public void setColor(Color c)

### showText

    public void showText(float x,
                         float y,
                         float weight,
                         float height,
                         java.lang.String txt,
                         TextParameter tp)

### drawLine

    public void drawLine(float x,
                         float y,
                         float w,
                         float h)

### drawRect

    public void drawRect(float x,
                         float y,
                         float width,
                         float height,
                         float rotate,
                         float radius,
                         boolean border,
                         boolean fill)

### drawCircle

    public void drawCircle(float x,
                           float y,
                           float radius,
                           boolean border,
                           boolean fill)

### drawEllipse

    public void drawEllipse(float x,
                            float y,
                            float width,
                            float height,
                            float rotate,
                            boolean border,
                            boolean fill)

### drawImage

    public void drawImage(float x,
                          float y,
                          Image img,
                          float width,
                          float height)
                   throws RiepsException

  Throws:
    `RiepsException`

### drawFrame

    public void drawFrame(Frame frm)

### getCurrentLineFormat

    public LineFormat getCurrentLineFormat()

### getCurrentFont

    public PSFont getCurrentFont()

### getCurrentFillColor

    public Color getCurrentFillColor()

### getDeviceParameters

    public java.util.Map getDeviceParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD